CREATE TABLE `wlyy_job_config` (
  `id` int(10) NOT NULL,
  `job_name` varchar(200) DEFAULT NULL COMMENT '任务名称',
  `job_info` varchar(200) DEFAULT NULL COMMENT '任务描述',
  `job_type` varchar(10) DEFAULT NULL COMMENT '任务类型(0--单次执行  1--周期执行 2--监听任务)',
  `job_class` varchar(200) DEFAULT NULL COMMENT '任务执行的class',
  `sql` varchar(2000) DEFAULT NULL,
  `sql_count` varchar(2000) DEFAULT NULL,
  `sql_day` varchar(255) DEFAULT NULL,
  `sql_year` varchar(255) DEFAULT NULL,
  `cache_key` varchar(255) DEFAULT NULL,
  `quartz_cron` varchar(200) DEFAULT NULL COMMENT 'quartz表达式',
  `status` varchar(1) DEFAULT NULL COMMENT '1 启动 0停止',
  `quota_id` varchar(50) DEFAULT NULL,
  `del` varchar(1) DEFAULT NULL COMMENT '1: 正常 0： 删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT;
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('1', '签约数的已扣费', '签约人数：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT a.id AS business_id, a.idcard, a.admin_team_code AS team, a.server_type, spli.label AS health_lable FROM wlyy_sign_family a, wlyy_sign_patient_label_info spli WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 1 AND a.patient = spli.patient AND spli.label_type = \'2\' AND spli.status = \'1\'', 'SELECT COUNT(a.id) FROM wlyy_sign_family a, wlyy_sign_patient_label_info spli WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 1 AND a.patient = spli.patient AND spli.label_type = \'2\' AND spli.STATUS = \'1\'', ' AND a.expenses_time < \'[endTime]\' AND a.expenses_time > \'[startTime]\' AND a.sign_year = \'[year]\'', ' AND a.expenses_time < \'[endTime]\' AND a.sign_year = \'[year]\'', 'sign_expenses_status_1', '0 0 0 * * ?', '1', '1', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('2', '解约人数', '解约人数：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT CODE AS business_id, hospital AS hospital, admin_team_code AS team FROM wlyy_sign_family a WHERE a.type = 2 AND a.STATUS IN (-3)', 'SELECT COUNT(id) FROM wlyy_sign_family a WHERE a.type = 2 AND a.STATUS IN (-3)', 'AND a.apply_unsign_date < \'[endTime]\' AND a.apply_unsign_date > \'[startTime]\' AND a.sign_year = \'[year]\'', 'AND a.apply_unsign_date < \'[endTime]\' AND a.sign_year = \'[year]\'', NULL, '0 2 0 * * ?', '1', '2', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('3', '健康咨询量', '健康咨询量：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'select admin_team_code team,id business_id from wlyy_consult_team a where 1=1 ', 'select count(id) from wlyy_consult_team a where 1=1', 'and a.czrq>=\'[startTime]\' and a.czrq< \'[endTime]\'', 'and a.czrq>=\'[startTime]\' and a.czrq< \'[endTime]\'', NULL, '0 2 0 * * ?', '1', '3', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('4', '随访量', '随访量：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'select f.id business_id, sf.admin_team_code team from wlyy_followup f,wlyy_sign_family sf where sf.`status`>0 and f.idcard=sf.idcard', 'SELECT COUNT(f.id) FROM wlyy_followup f, wlyy_sign_family sf WHERE sf.`status` > 0 AND f.idcard = sf.idcard', 'and f.followup_plan_date>=\'[startTime]\'  and f.followup_plan_date<\'[endTime]\'', 'and f.followup_plan_date>=\'[startTime]\'  and f.followup_plan_date<\'[endTime]\'', NULL, '0 4 0 * * ?', '1', '4', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('5', '健康指导', '健康指导：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT phg.id business_id,sf.admin_team_code team FROM wlyy_patient_health_guidance phg,wlyy_sign_family sf WHERE phg.patient=sf.patient and sf.`status`>0', 'SELECT COUNT(phg.id) FROM wlyy_patient_health_guidance phg, wlyy_sign_family sf WHERE phg.patient = sf.patient', 'AND phg.create_time >= \'[startTime]\' AND phg.create_time < \'[endTime]\'', 'AND phg.create_time >= \'[startTime]\' AND phg.create_time < \'[endTime]\'', NULL, '0 5 0 * * ?', '1', '5', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('6', '签约患者性别', '签约患者性别:每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT a.id AS business_id, a.idcard, a.admin_team_code AS team, a.server_type, spli.label AS health_lable FROM wlyy_sign_family a, wlyy_sign_patient_label_info spli WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 1 AND a.patient = spli.patient AND spli.label_type = \'2\' AND spli.status = \'1\'', 'SELECT COUNT(a.id) FROM wlyy_sign_family a, wlyy_sign_patient_label_info spli WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 1 AND a.patient = spli.patient AND spli.label_type = \'2\' AND spli.STATUS = \'1\'', ' AND a.expenses_time < \'[endTime]\' AND a.expenses_time > \'[startTime]\' AND a.sign_year = \'[year]\'', ' AND a.expenses_time < \'[endTime]\' AND a.sign_year = \'[year]\'', 'sign_expenses_status_1', '0 6 0 * * ?', '1', '6', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('7', '签约患者分组', '签约患者分组:每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT id business_id, CODE, idcard, hospital hospital, admin_team_code team , expenses_status, patient, server_type FROM wlyy_sign_family a WHERE a.type = 2 AND STATUS IN (1, 2) AND a.expenses_status = 1', 'SELECT count(id) FROM wlyy_sign_family a WHERE a.type = 2 AND STATUS IN (1, 2) AND a.expenses_status = 1', ' AND a.expenses_time < \'[endTime]\' AND a.expenses_time > \'[startTime]\' AND a.sign_year = \'[year]\'', ' AND a.expenses_time < \'[endTime]\' AND a.sign_year = \'[year]\'', 'sign_expenses_status_1', '0 7 0 * * ?', '1', '7', '0');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('8', '签约患者年龄', '签约患者年龄:每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT a.id AS business_id, a.idcard, a.admin_team_code AS team, a.server_type, spli.label AS health_lable FROM wlyy_sign_family a, wlyy_sign_patient_label_info spli WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 1 AND a.patient = spli.patient AND spli.label_type = \'2\' AND spli.status = \'1\'', 'SELECT COUNT(a.id) FROM wlyy_sign_family a, wlyy_sign_patient_label_info spli WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 1 AND a.patient = spli.patient AND spli.label_type = \'2\' AND spli.STATUS = \'1\'', ' AND a.expenses_time < \'[endTime]\' AND a.expenses_time > \'[startTime]\' AND a.sign_year = \'[year]\'', ' AND a.expenses_time < \'[endTime]\' AND a.sign_year = \'[year]\'', 'sign_expenses_status_1', '0 8 0 * * ?', '1', '8', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('9', '待签约人数', '待签约人数：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT CODE AS business_id, admin_team_code AS team FROM wlyy_sign_family a WHERE a.type = 2 AND a.STATUS = 0', 'SELECT count(id) FROM wlyy_sign_family a WHERE a.type = 2 AND a.STATUS = 0', ' and a.patient_apply_date< \'[endTime]\'  and a.patient_apply_date> \'[startTime]\'   and a.sign_year =\'[year]\'', ' and a.patient_apply_date< \'[endTime]\'  and a.sign_year =\'[year]\'', NULL, '0 9 0 * * ?', '1', '9', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('10', '已改签人数', '已改签人数：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT code AS business_id, admin_team_code AS team FROM wlyy_sign_family a WHERE a.type = 2 AND a.status = 100 AND a.expenses_status = 1', 'SELECT COUNT(id) FROM wlyy_sign_family a WHERE a.type = 2 AND a.status = 100 AND a.expenses_status = 1', 'and a.patient_apply_date< \'[endTime]\' and  a.patient_apply_date> \'[startTime]\' and a.sign_year =\'[year]\' ', 'and a.patient_apply_date< \'[endTime]\'  and a.sign_year =\'[year]\' ', NULL, '0 10 0 * * ?', '1', '10', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('11', '实时任务', '实时任务', '', 'com.yihu.wlyy.statistics.job.business.CurrentMysqlToEsQuotaJob', '', '', '', '', '', '', '1', '', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('12', '签约下按年龄分组后再按疾病统计', '签约下按年龄分组后再按疾病统计：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT id business_id, CODE, idcard, hospital hospital, admin_team_code team , expenses_status, patient, server_type FROM wlyy_sign_family a WHERE a.type = 2 AND STATUS IN (1, 2) AND a.expenses_status = 1', 'SELECT count(id) FROM wlyy_sign_family a WHERE a.type = 2 AND STATUS IN (1, 2) AND a.expenses_status = 1', ' AND a.expenses_time < \'[endTime]\' AND a.expenses_time > \'[startTime]\' AND a.sign_year = \'[year]\'', ' AND a.expenses_time < \'[endTime]\' AND a.sign_year = \'[year]\'', 'sign_expenses_status_1', '0 12 0 * * ?', '1', '12', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('14', '签约数的未扣费', '签约数的扣费钱情况：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT a.id AS business_id, a.admin_team_code AS team FROM wlyy_sign_family a WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 0', 'SELECT COUNT(a.id) FROM wlyy_sign_family a WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 0', ' AND a.expenses_time < \'[endTime]\' AND a.expenses_time > \'[startTime]\' AND a.sign_year = \'[year]\'', ' AND a.expenses_time < \'[endTime]\' AND a.sign_year = \'[year]\'', '', '0 16 0 * * ?', '1', '14', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('15', '签约健康标签服务 ', '健康分布服务：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT a.id AS business_id, a.idcard, a.admin_team_code AS team, a.server_type, spli.label AS health_lable FROM wlyy_sign_family a, wlyy_sign_patient_label_info spli WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 1 AND a.patient = spli.patient AND spli.label_type = \'2\' AND spli.status = \'1\'', 'SELECT COUNT(a.id) FROM wlyy_sign_family a, wlyy_sign_patient_label_info spli WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 1 AND a.patient = spli.patient AND spli.label_type = \'2\' AND spli.STATUS = \'1\'', ' AND a.expenses_time < \'[endTime]\' AND a.expenses_time > \'[startTime]\' AND a.sign_year = \'[year]\'', ' AND a.expenses_time < \'[endTime]\' AND a.sign_year = \'[year]\'', 'sign_expenses_status_1', '0 19 0 * * ?', '1', '15', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('17', '签约年龄疾病统计', '签约年龄疾病统计', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', NULL, NULL, NULL, NULL, NULL, '0 21 0 * * ?', '1', '17', '0');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('20', '已经签约患者绑定设备', '已经签约患者绑定设备：每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT pd.id AS business_id, sf.admin_team_code AS team FROM wlyy_patient_device pd, wlyy_sign_family sf WHERE pd.user_idcard = sf.idcard AND sf.type = 2 AND pd.del = 0 AND sf.STATUS IN (1, 2)', 'SELECT count(sf.id) FROM wlyy_patient_device pd, wlyy_sign_family sf WHERE pd.user_idcard = sf.idcard AND sf.type = 2 AND pd.del = 0 AND sf.STATUS IN (1, 2)', ' AND pd.czrq <\'[endTime]\'  AND pd.czrq >=\'[startTime]\' and sf.sign_year =\'[year]\' ', ' AND pd.czrq <\'[endTime]\' and sf.sign_year =\'[year]\' ', NULL, '0 22 0 * * ?', '1', '20', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('21', '已经签约微信关注人数', '已经签约微信关注人数', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT sf.CODE AS business_id, sf.admin_team_code AS team FROM wlyy_patient p, wlyy_sign_family sf WHERE p.idcard = sf.idcard AND sf.type = 2 AND sf.STATUS IN (1, 2) AND p.openid IS NOT NULL', 'SELECT count(sf.id) FROM wlyy_patient p, wlyy_sign_family sf WHERE p.idcard = sf.idcard AND sf.type = 2 AND sf.STATUS IN (1, 2) AND p.openid IS NOT NULL', 'AND p.openid_time <\'[endTime]\' AND p.openid_time >=\'[startTime]\' and sf.sign_year =\'[year]\'  ', 'AND p.openid_time <\'[endTime]\' and sf.sign_year =\'[year]\'  ', NULL, '0 23 0 * * ?', '1', '21', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('22', '健康咨询量  未回复', '未回复健康咨询量', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'select admin_team_code team,id business_id from wlyy.wlyy_consult_team a where  EXISTS( SELECT DISTINCT t.id consultId FROM [im].topics t, [im].participants p, [im].doctors d, [im].sessions s  WHERE p.participant_id = d.id AND t.session_id = p.session_id AND t.session_id = s.id AND s.type = 1 AND t. STATUS <> 10 AND t.`reply` = 0 AND t.create_time < \'[endTime]\' AND t.create_time >= \'[startTime]\' AND a.consult=t.id)', 'select count(*) from wlyy.wlyy_consult_team a where  EXISTS( SELECT DISTINCT t.id consultId FROM [im].topics t, [im].participants p, [im].doctors d, [im].sessions s  WHERE p.participant_id = d.id AND t.session_id = p.session_id AND t.session_id = s.id AND s.type = 1 AND t. STATUS <> 10 AND t.`reply` = 0 AND t.create_time < \'[endTime]\' AND t.create_time >= \'[startTime]\' AND a.consult=t.id)', NULL, NULL, NULL, '0 24 0 * * ?', '1', '22', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('23', '健康咨询量 及时回复', '及时回复的健康咨询量', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', ' select a.admin_team_code team,a.id business_id from wlyy_consult_team a where EXISTS( SELECT DISTINCT t.id consultId FROM [im].topics t,[im].participants p,[im].doctors d,[im].sessions s WHERE p.participant_id = d.id AND t.session_id = p.session_id AND t.session_id = s.id AND s.business_type = 2 AND t.`reply` = 1 AND TIMESTAMPDIFF(SECOND,t.create_time,t.reply_time) < 86400 AND TIMESTAMPDIFF(SECOND,t.create_time,t.reply_time) > 0 AND t.create_time < \'[endTime]\' AND t.create_time >= \'[startTime]\' AND a.consult=t.id )', ' select count(a.id) business_id from wlyy_consult_team a where EXISTS( SELECT DISTINCT t.id consultId FROM [im].topics t,[im].participants p,[im].doctors d,[im].sessions s WHERE p.participant_id = d.id AND t.session_id = p.session_id AND t.session_id = s.id AND s.business_type = 2 AND t.`reply` = 1 AND TIMESTAMPDIFF(SECOND,t.create_time,t.reply_time) < 86400 AND TIMESTAMPDIFF(SECOND,t.create_time,t.reply_time) > 0 AND t.create_time < \'[endTime]\' AND t.create_time >= \'[startTime]\' AND a.consult=t.id )', NULL, NULL, NULL, '0 25 0 * * ?', '1', '23', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('24', '健康咨询量 首次回复', '首次回复时间分布数', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT a.admin_team_code AS team, a.id AS business_id, t.replyTime AS slavekey1 FROM wlyy.wlyy_consult_team a, (SELECT DISTINCT t.id AS consultId, t.reply_time AS replyTime FROM [im].topics t, [im].participants p, [im].doctors d, [im].sessions s WHERE p.participant_id = d.id AND t.session_id = p.session_id AND t.session_id = s.id AND s.business_type = 2 AND t.`reply` = 1 AND TIMESTAMPDIFF(SECOND, t.create_time, t.reply_time) < 86400 AND TIMESTAMPDIFF(SECOND, t.create_time, t.reply_time) > 0 AND t.create_time < \'[endTime]\' AND t.create_time >= \'[startTime]\' ) t WHERE a.consult = t.consultId', 'SELECT count(a.id ) FROM wlyy.wlyy_consult_team a, (SELECT DISTINCT t.id AS consultId, t.reply_time AS replyTime FROM [im].topics t, [im].participants p, [im].doctors d, [im].sessions s WHERE p.participant_id = d.id AND t.session_id = p.session_id AND t.session_id = s.id AND s.business_type = 2 AND t.`reply` = 1 AND TIMESTAMPDIFF(SECOND, t.create_time, t.reply_time) < 86400 AND TIMESTAMPDIFF(SECOND, t.create_time, t.reply_time) > 0 AND t.create_time < \'[endTime]\' AND t.create_time >= \'[startTime]\' ) t WHERE a.consult = t.consultId', NULL, NULL, NULL, '0 26 0 * * ?', '1', '24', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('27', '代预约量', '代预约量', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT w.id business_id,sf.admin_team_code team FROM wlyy_patient_reservation w,wlyy_sign_family sf WHERE w.patient=sf.patient and sf.`status`>0', 'SELECT count(w.id) FROM wlyy_patient_reservation w,wlyy_sign_family sf WHERE w.patient=sf.patient and sf.`status`>0', 'and w.czrq>=\'[startTime]\' and w.czrq<\'[endTime]\' and sf.sign_year=\'[year]\'', 'and w.czrq<\'[endTime]\' and sf.sign_year=\'[year]\'', NULL, '0 29 0 * * ?', '1', '27', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('28', '统计平均值', '只执行redis统计', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT t.id AS business_id, t.admin_team_code AS team, s.score AS num FROM wlyy_consult_team t, wlyy_evaluate_score s WHERE t.consult = s.consult\r\n', 'SELECT count(t.id) FROM wlyy_consult_team t, wlyy_evaluate_score s WHERE t.consult = s.consult\r\n', 'AND t.czrq >= \'[startTime]\' AND t.czrq < \'[endTime]\'', 'AND t.czrq >= \'[startTime]\' AND t.czrq < \'[endTime]\'', NULL, '0 300 * * ?', '1', '28', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('29', '续签量', '续签量（按照年度全量）', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', ' and fr.apply_date<\'[endTime]\'   and fr.apply_date>=\'[endTime]\'  and fr.sign_year =\'[year]\'  ', ' and fr.apply_date < \'[endTime]\'   and fr.sign_year =\'[year]\'  ', NULL, '0 36 0 * * ?', '1', '29', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('30', '续签团队转签原因(到达量)', '续签原因（按照年度全量）', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.old_admin_team_id AS team, fr.renew_change_reason AS slaveKey1 FROM wlyy_sign_family_renew_log fr WHERE fr.admin_team_id != fr.old_admin_team_id AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE fr.admin_team_id != fr.old_admin_team_id AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\' AND fr.sign_year = \'[year]\'', NULL, '0 30 0 * * ?', '1', '30', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('31', '续签夸团队', '续签夸团队（按照年度全量）', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.old_admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE fr.admin_team_id != fr.old_admin_team_id AND fr.hospital = fr.old_hospital AND LEFT(fr.hospital, 6) = LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE fr.admin_team_id != fr.old_admin_team_id AND fr.hospital = fr.old_hospital AND LEFT(fr.hospital, 6) = LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND	 fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\'  AND  fr.sign_year = \'[year]\'', NULL, '0 31 0 * * ?', '1', '31', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('32', '续签夸社区', '续签夸社区（按照年度全量）', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.old_admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE fr.admin_team_id != fr.old_admin_team_id AND fr.hospital != fr.old_hospital AND LEFT(fr.hospital, 6) = LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE fr.admin_team_id != fr.old_admin_team_id AND fr.hospital != fr.old_hospital AND LEFT(fr.hospital, 6) = LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND	 fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\'  AND fr.sign_year = \'[year]\'', NULL, '0 32 0 * * ?', '1', '32', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('33', '续签夸区', '续签夸区（按照年度全量）', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.old_admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE fr.admin_team_id != fr.old_admin_team_id AND fr.hospital != fr.old_hospital AND LEFT(fr.hospital, 6) != LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE fr.admin_team_id != fr.old_admin_team_id AND fr.hospital != fr.old_hospital AND LEFT(fr.hospital, 6) != LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND	 fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\'  AND  fr.sign_year = \'[year]\'', NULL, '0 33 0 * * ?', '1', '33', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('34', '续签团队签入', '续签签入（按照年度全量）', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE fr.hospital != fr.old_hospital AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE fr.hospital != fr.old_hospital AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\' AND fr.sign_year = \'[year]\'', NULL, '0 34 0 * * ?', '1', '34', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('35', '续签团队签出', '续签签出（按照年度全量）', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.old_admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE fr.hospital != fr.old_hospital AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE fr.hospital != fr.old_hospital AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\' AND fr.sign_year = \'[year]\'', NULL, '0 35 0 * * ?', '1', '35', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('36', '签约服务类型', '每天凌晨1点触发', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT a.id AS business_id, a.idcard, a.admin_team_code AS team, a.server_type, spli.label AS health_lable FROM wlyy_sign_family a, wlyy_sign_patient_label_info spli WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 1 AND a.patient = spli.patient AND spli.label_type = \'2\' AND spli.status = \'1\'', 'SELECT COUNT(a.id) FROM wlyy_sign_family a, wlyy_sign_patient_label_info spli WHERE a.type = 2 AND a.STATUS IN (1, 2) AND a.expenses_status = 1 AND a.patient = spli.patient AND spli.label_type = \'2\' AND spli.STATUS = \'1\'', ' AND a.expenses_time < \'[endTime]\' AND a.expenses_time > \'[startTime]\' AND a.sign_year = \'[year]\'', ' AND a.expenses_time < \'[endTime]\' AND a.sign_year = \'[year]\'', 'sign_expenses_status_1', '0 36 0 * * ?', '1', '36', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('38', '续签机构签入', '续签签入（按照年度全量）', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE fr.hospital != fr.old_hospital AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE fr.hospital != fr.old_hospital AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\'  AND fr.sign_year = \'[year]\'', NULL, '0 38 0 * * ?', '1', '38', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('39', '续签机构签出', '续签签出（', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.old_admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE fr.hospital != fr.old_hospital AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE fr.hospital != fr.old_hospital AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\'  AND fr.sign_year = \'[year]\'', NULL, '0 39 0 * * ?', '1', '39', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('40', '续签区签入', '续签签入（按照年度全量）', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.old_admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE LEFT(fr.hospital, 6) != LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE LEFT(fr.hospital, 6) != LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\' AND fr.sign_year = \'[year]\'', NULL, '0 40 0 * * ?', '1', '40', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('41', '续签区签出', '续签签出（', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.old_admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE LEFT(fr.hospital, 6) != LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE LEFT(fr.hospital, 6) != LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\' AND fr.sign_year = \'[year]\'', NULL, '0 41 0 * * ?', '1', '41', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('42', '续签团队续签人数(', '团队续签人数(到达量)', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE fr.admin_team_id = fr.old_admin_team_id AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE fr.admin_team_id = fr.old_admin_team_id AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\' AND fr.sign_year = \'[year]\'', NULL, '0 42 0 * * ?', '1', '42', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('43', '续签社区续签人数', '社区续签人数(到达量)', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE fr.hospital = fr.old_hospital AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE fr.hospital = fr.old_hospital AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\' AND fr.sign_year = \'[year]\'', NULL, '0 43 0 * * ?', '1', '43', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('44', '续签区续签人数', '区续签人数(到达量)', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT fr.id AS business_id, fr.old_admin_team_id AS team FROM wlyy_sign_family_renew_log fr WHERE LEFT(fr.hospital, 6) = LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'SELECT COUNT(fr.id) FROM wlyy_sign_family_renew_log fr WHERE LEFT(fr.hospital, 6) = LEFT(fr.old_hospital, 6) AND LENGTH(fr.hospital) = 10 AND LENGTH(fr.old_hospital) = 10', 'AND fr.apply_date < \'[endTime]\' AND fr.apply_date >= \'[startTime]\' AND fr.sign_year = \'[year]\'', 'AND fr.apply_date < \'[endTime]\' AND fr.sign_year = \'[year]\'', NULL, '0 44 0 * * ?', '1', '44', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('49', '已经签约微信关注人数(到达量) 未扣费', '已经签约微信关注人数', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT sf.CODE AS business_id, sf.admin_team_code AS team FROM wlyy_patient p, wlyy_sign_family sf WHERE p.idcard = sf.idcard AND sf.type = 2 AND sf.STATUS IN (1, 2) AND sf.expenses_status = 0 AND p.openid IS NOT NULL', 'SELECT COUNT(sf.id) FROM wlyy_patient p, wlyy_sign_family sf WHERE p.idcard = sf.idcard AND sf.type = 2 AND sf.STATUS IN (1, 2) AND sf.expenses_status = 0 AND p.openid IS NOT NULL', '\r\nAND p.openid_time < \'[endTime]\' AND p.openid_time >= \'[startTime]\' AND sf.sign_year = \'[year]\'', 'AND p.openid_time < \'[endTime]\'  AND sf.sign_year = \'[year]\'', NULL, '0 49 0 * * ?', '1', '49', '1');
INSERT INTO `wlyy_quota`.`wlyy_job_config_cwd` (`id`, `job_name`, `job_info`, `job_type`, `job_class`, `sql`, `sql_count`, `sql_day`, `sql_year`, `cache_key`, `quartz_cron`, `status`, `quota_id`, `del`) VALUES ('50', '已经签约微信关注人数(到达量) 已扣费', '已经签约微信关注人数', '2', 'com.yihu.wlyy.statistics.job.business.MysqlToEsQuotaJob', 'SELECT sf.CODE AS business_id, sf.admin_team_code AS team FROM wlyy_patient p, wlyy_sign_family sf WHERE p.idcard = sf.idcard AND sf.type = 2 AND sf.STATUS IN (1, 2) AND sf.expenses_status = 1 AND p.openid IS NOT NULL', 'SELECT COUNT(sf.id) FROM wlyy_patient p, wlyy_sign_family sf WHERE p.idcard = sf.idcard AND sf.type = 2 AND sf.STATUS IN (1, 2) AND sf.expenses_status = 1 AND p.openid IS NOT NULL', '\r\nAND p.openid_time < \'[endTime]\' AND p.openid_time >= \'[startTime]\' AND sf.sign_year = \'[year]\'', 'AND p.openid_time < \'[endTime]\'  AND sf.sign_year = \'[year]\'', NULL, '0 50 0 * * ?', '1', '50', '1');
